
def generate_random_event_stream(graylog, random_stream_id):
    """
    Generates a random event stream with a given stream ID using Graylog Python client.
    """
    # Retrieve the stream by ID
    stream = graylog.streams.get_stream_by_id(random_stream_id)
    
    # Generate a random event and add it to the stream
    random_event = {
        "timestamp": graylog.utils.now(),
        "source": {
            "type": "syslog",
            "host": "random-host",
            "tags": ["random", "event"]
        },
        "message": "This is a random event generated by the Python script."
    }
    
    # Send the event to Graylog
    graylog.events.create(random_event, stream_id=stream['id'])
    return stream['name']



